=== added directory 'mrp_default_location'
=== added file 'mrp_default_location/__init__.py'
--- mrp_default_location/__init__.py	1970-01-01 00:00:00 +0000
+++ mrp_default_location/__init__.py	2012-07-30 22:11:47 +0000
@@ -0,0 +1,2 @@
+import product
+import mrp
\ No newline at end of file

=== added file 'mrp_default_location/__openerp__.py'
--- mrp_default_location/__openerp__.py	1970-01-01 00:00:00 +0000
+++ mrp_default_location/__openerp__.py	2012-07-30 22:11:47 +0000
@@ -0,0 +1,40 @@
+# -*- coding: utf-8 -*-
+###########################################################################
+#    Module Writen to OpenERP, Open Source Management Solution
+#
+#    Copyright (c) 2012 Vauxoo - http://www.vauxoo.com
+#    All Rights Reserved.
+#    info@vauxoo.com
+############################################################################
+#    Coded by: julio (julio@vauxoo.com)
+############################################################################
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU Affero General Public License as
+#    published by the Free Software Foundation, either version 3 of the
+#    License, or (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU Affero General Public License for more details.
+#
+#    You should have received a copy of the GNU Affero General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+##############################################################################
+{
+    'name': 'mrp default location',
+    "version" : "1.1",
+    'author': 'Vauxoo',
+    'depends': ['mrp','product'],
+    'description': """
+        Added the Locations by default when select the product in order of production
+    """,
+    'update_xml':[
+    'product_category_view.xml',
+    ],
+    'active': False,
+    'installable': True
+}
+# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:

=== added file 'mrp_default_location/mrp.py'
--- mrp_default_location/mrp.py	1970-01-01 00:00:00 +0000
+++ mrp_default_location/mrp.py	2012-07-30 22:11:47 +0000
@@ -0,0 +1,1 @@
+ 

=== added file 'mrp_default_location/product.py'
--- mrp_default_location/product.py	1970-01-01 00:00:00 +0000
+++ mrp_default_location/product.py	2012-07-30 22:11:47 +0000
@@ -0,0 +1,44 @@
+# -*- encoding: utf-8 -*-
+###########################################################################
+#    Module Writen to OpenERP, Open Source Management Solution
+#
+#    Copyright (c) 2012 Vauxoo - http://www.vauxoo.com
+#    All Rights Reserved.
+#    info@vauxoo.com
+############################################################################
+#    Coded by: julio (julio@vauxoo.com)
+############################################################################
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU Affero General Public License as
+#    published by the Free Software Foundation, either version 3 of the
+#    License, or (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU Affero General Public License for more details.
+#
+#    You should have received a copy of the GNU Affero General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+##############################################################################
+
+import time
+from osv import osv, fields
+from tools.translate import _
+from tools import config
+import base64
+import csv
+import cStringIO
+import tools
+
+
+class product_category(osv.osv):
+    _inherit='product.category'
+    _columns = {
+        'location_src_id' : fields.many2one('stock.location','Raw Materials Location'),
+        'location_dest_id' : fields.many2one('stock.location','Finished Products Location'),
+    }
+        
+product_category()

=== added file 'mrp_default_location/product_category_view.xml'
--- mrp_default_location/product_category_view.xml	1970-01-01 00:00:00 +0000
+++ mrp_default_location/product_category_view.xml	2012-07-30 22:11:47 +0000
@@ -0,0 +1,23 @@
+<?xml version="1.0" encoding="utf-8"?>
+<openerp>
+    <data>
+
+        <record id="view_category_location_property_form" model="ir.ui.view">
+            <field name="name">product.category.location.property.form.inherit</field>
+            <field name="model">product.category</field>
+            <field name="type">form</field>
+            <field name="inherit_id" ref="product.product_category_form_view"/>
+            <field name="arch" type="xml">
+                <form position="inside">
+                    <group col="2" colspan="2">
+                        <separator string="Location Properties" colspan="2"/>
+                          <field name="location_src_id"/>
+                          <field name="location_dest_id"/>
+                    </group>
+                </form>
+            </field>
+        </record>
+
+
+    </data>
+</openerp>

